Jifty::Action::Record::Bulk(3)

NAME
Jifty::Action::Record::Bulk - Perform multiple record actions

SYNOPSIS
  use strict;
  use warnings;

  package MyApp::Action::BulkUpdateFoo;
  use base qw/ Jifty::Action::Record::Bulk /;

  __PACKAGE__->add_action('MyApp::Action::DeleteFoo' => { trigger => 'delete', final => 1 });
  __PACKAGE__->add_action('MyApp::Action::UpdateFoo');

METHODS

  add_action CLASS [, OPTIONS]
Merges the given action class into this one. Will "die" if the "action_class" in Jifty::Action::Record of the given "CLASS" doesn't match previously added classes.

OPTIONS should be a hash reference of additional options. The existing options are:

trigger
    Only run if this argument is provided

final
    If this action runs, run only this action.

  arguments
Merges together arguments from all of the actions added with "add_action". The record IDs to act on are stored (comma-separated) in an argument named "ids", by default.

  perform_action CLASS, IDS
Performs the given action "CLASS" on the given record "ID"s, which should be an array reference.

  take_action
Completes the actions on all of the IDs given.

  report_success
Reports "Bulk update successful".